Skip to navigation

List Organization-Level Connect configurations

View as Markdown

Returns an array of the definitions of each Organization-Level Connect configuration created for an organization.

Required scopes: connect_org_config_read_api

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"

The GUID ID of the organization owning the Organization-Level Connect configurations.

Query parameters

sortBystringOptional

Sorts configurations by the specified definition field in ascending order. Defaults to name, if not set.

siteIdintegerOptional

Returns only configurations with the specified siteId.

accountIdstringOptionalformat: "uuid"

Returns only configurations that apply to the specified accountId.

allowEnvelopePublishbooleanOptional

Returns only configurations that do (true) or do not (false) allow envelope publishing.

qstringOptional

Returns only configurations that have the connectId or name provided in the query parameter.

Response

OK
configurationslist of objectsOptional
totalSetSizeintegerOptional
errorDetailobjectOptional